> For the complete documentation index, see [llms.txt](https://docs.sensepass.com/sensepay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sensepass.com/sensepay/developers/transaction-api/models/sdk-theme-config-model.md).

# SDK Theme Config Model

customize payment method's texts and other UI parameters

This model represents all the required data for displaying data on the SensePass Dashboard backoffice.

{% hint style="info" %}
You must use this structure:&#x20;

{% code lineNumbers="true" %}

```json
{
  "creditCard": {
    "animation": "expand" | "one-line" | "none",
    "customText": {
      "direction": "rtl" | "ltr",
      "fields": {
        "cardNumber": {
          "label": "Card Number",
          "placeholder": "Credit Card",
          "hint": "Digits",
          "defaultHint": "Full Card Number",
          "errors": {
            "required": "Card Number is Mandatory",
            "cardTypeLength": {
              "minLengthStart": "Must be Over",
              "minLengthEnd": "Digits",
              "maxLengthStart": "Must be Under",
              "maxLengthEnd": "Digits",
              "lengthsStart": "Must be:",
              "lengthsSplit": "or",
              "lengthsEnd": "Digits"
            }
          }
        },
        "expiration": {
          "label": "Expiration",
          "placeholder": "Month / Year",
          "hint": "MM/YY",
          "errors": {
            "required": "Expiration Date is Mandatory",
            "cardExpiration": {
              "invalidDateFormat": "Date Invalid, Should Be MM/YY",
              "monthRange": "Month Should Be Between 1 - 12",
              "yearExpiration": "The Year You've Set Expired",
              "monthExpiration": "The Month You've Set Expired This Year"
            }
          }
        },
        "securityCode": {
          "label": "CVV",
          "placeholder": "CVV/CVC",
          "hint": {
            "amex": "digits, front of the card",
            "default": "digits, back of the card"
          },
          "defaultHint": "Security Code",
          "errors": {
            "required": "CVC is Mandatory",
            "securityCodeLength": {
              "lengthShouldBe": "must be",
              "digits": "digits"
            }
          }
        },
        "socialID": {
          "label": "Document ID",
          "placeholder": "Document ID",
          "hint": "Document ID",
          "errors": {
            "required": "Document ID is Mandatory",
            "minlength": "5 Digits Minimum",
            "maxlength": "20 Digits Maximum"
          }
        },
        "zipCode": {
          "label": "Zip Code",
          "placeholder": "Zip Code",
          "hint": "address associated to your card",
          "errors": {
            "required": "Zip Code is Mandatory",
            "minlength": "0 Digits Minimum",
            "maxlength": "9 Digits Maximum"
          }
        },
        "email": {
          "label": "Email",
          "placeholder": "John@domain.com",
          "hint": "Email",
          "errors": {
            "required": "Email is Mandatory",
            "minlength": "5 Characters Minimum",
            "maxlength": "50 Characters Maximum"
          }
        },
        "mobilePhone": {
          "label": "Mobile Phone",
          "placeholder": "000-000-0000",
          "hint": "Mobile Phone",
          "errors": {
            "required": "Mobile Phone is Mandatory",
            "minlength": "6 Digits Minimum",
            "maxlength": "15 Digits Maximum"
          }
        },
        "installments": "Installments",
        "fullName": {
          "label": "Full Name",
          "placeholder": "Full Name",
          "hint": "First & Last names",
          "errors": {
            "required": "Full Name is Mandatory",
            "pattern": "Full Name must ONLY be letters",
            "minlength": "4 Characters Minimum",
            "maxlength": "50 Characters Maximum"
          }
        },
        "saveCard": {
          "label": "Save this card"
        }
      }
    }
  }
}
```

{% endcode %}
{% endhint %}

Description of the parameters required for various payment options configurations.

<table><thead><tr><th width="224.9871382636656">field</th><th width="111.16318436735071">type</th><th width="384.2">description</th></tr></thead><tbody><tr><td>creditCard</td><td>object</td><td>credit card ui-data orientation</td></tr><tr><td>creditCard.animation</td><td>enum</td><td>options for animating the selected payment method display:w "expand" / "one-line" / "none"</td></tr><tr><td>creditCard.customText</td><td>object</td><td>credit card's customizable texts</td></tr><tr><td>creditCard.customText.direction</td><td>enum</td><td>options for the text direction: "ltr" | "rtl".<br>(left-to-right / right-to-left)</td></tr><tr><td>creditCard.customText.fields</td><td>object</td><td>credit card fields with options to edit their text.<br>keep in mind to handle various languages.</td></tr><tr><td>creditCard.customText.fields[MODEL_FIELD]</td><td>model</td><td>field model for editting a credit card form field text <a data-mention href="https://docs.sensepass.com/sensepay/developers/transaction-api/models/sdk-credit-card-field-model.md">SDK Credit Card Field Model</a>.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sensepass.com/sensepay/developers/transaction-api/models/sdk-theme-config-model.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
